<template>
	<span class="user-name">{{intro||""}}{{ allintegral }}</span>

</template>

<script setup lang="ts">
import { computed } from "vue";
import { useStore } from "vuex";
const store = useStore();
const allintegral = computed(() => Number(store.getters.getUserData.achievementSettled)+Number(store.getters.getUserData.achievement));
const props = defineProps({
  showSchoolName:Boolean,
  intro:String
})
</script>

<style scoped></style>
